%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define _exclude_files_from_autoreq %{_datadir}/gnome/help/.*

Summary:		Documentation of C++ wrappers for GLib/GTK+
Name:			gtkmm-documentation
Version:		3.9.1
Release:		%mkrel 2
License:		GFDL
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Group:			Documentation
Url:			http://developer.gnome.org/
BuildArch:		noarch
BuildRequires:		scrollkeeper
BuildRequires:		pkgconfig
BuildRequires:		gnome-doc-utils
BuildRequires:		intltool
BuildRequires:		perl
BuildRequires:		pkgconfig(giomm-2.4) >= 2.36.0
BuildRequires:		pkgconfig(gtkmm-3.0) >= 3.10.0

%description
GLib is a low-level general-purpose library used mainly by GTK+/GNOME
applications, but is useful for other programs as well. glibmm is the C++
wrapper for GLib.

Gtkmm is a C++ interface for the popular GUI library GTK+. It provides a
convenient interface for C++ programmers to create graphical user interfaces
with GTK+'s flexible OO framework. Highlights include type safe callbacks,
widgets extensible using inheritance and over 180 classes that can be freely
combined to quickly create complex user interfaces.

This package contains tutorial, FAQ, as well as examples for the above
components.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name --with-help

%files -f %{name}.lang
%doc NEWS  README AUTHORS
%{_datadir}/doc/gtkmm-3.0/


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.9.1-2.mga4
+ Revision: 545024
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.9.1-1.mga4
+ Revision: 500674
- imported package gtkmm-documentation

